petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCBDDCCreateFETIDPOperators

Create FETI-DP operators

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCCreateFETIDPOperators(PC pc, Mat *fetidp_mat, PC *fetidp_pc)

Collective Many br

### Input Parameters

pc -the BDDC preconditioning context (setup should have been called before) Many br

### Output Parameters

| fetidp_mat | - shell FETI-DP matrix object Many br
| fetidp_pc | - shell Dirichlet preconditioner for FETI-DP matrix Many br

### Options Database Keys

-fetidp_fullyredundant <false> -use or not a fully redundant set of Lagrange multipliers Many br

Many br

### Notes

Currently the only operations provided for FETI-DP matrix are MatMult and MatMultTranspose Many br

### See Also

PCBDDC, PCBDDCMatFETIDPGetRHS, PCBDDCMatFETIDPGetSolution

Level:developer
Location:src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages